import { defineComponent as n, mergeModels as r, useModel as d, computed as p, createBlock as m, openBlock as b, unref as a } from "vue";
import { useI18n as c } from "vue-i18n";
import { a as f } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const _ = /* @__PURE__ */ n({
  __name: "SplitAddressExtension",
  props: /* @__PURE__ */ r({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(t) {
    const e = d(t, "modelValue"), { t: l } = c(), u = p(() => [
      {
        value: "street",
        title: l("datahub-plugin.etl.split-address.street")
      },
      {
        value: "number",
        title: l("datahub-plugin.etl.split-address.number")
      }
    ]);
    return (g, s) => (b(), m(a(f), {
      modelValue: e.value.type,
      "onUpdate:modelValue": s[0] || (s[0] = (o) => e.value.type = o),
      items: u.value,
      label: a(l)("datahub-plugin.etl.split-address.label"),
      "max-width": "567",
      "persistent-placeholder": ""
    }, null, 8, ["modelValue", "items", "label"]));
  }
});
function i(t) {
  const e = t;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            "split-address": {
              label: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Type" } },
              street: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Street" } },
              number: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "House number" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            "split-address": {
              label: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Typ" } },
              street: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Straße" } },
              number: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Hausnummer" } }
            }
          }
        }
      }
    }
  });
}
typeof i == "function" && i(_);
export {
  _ as default
};
